import request from '@/utils/request'





// 查询游戏大区信息列表
export function listGamearea(query) {
  return request({
    url: '/system/gamearea/list',
    method: 'get',
    params: query
  })
}

// 查询游戏大区信息详细
export function getGamearea(id) {
  return request({
    url: '/system/gamearea/' + id,
    method: 'get'
  })
}

// 新增游戏大区信息
export function addGamearea(data) {
  return request({
    url: '/system/gamearea',
    method: 'post',
    data: data
  })
}

// 修改游戏大区信息
export function updateGamearea(data) {
  return request({
    url: '/system/gamearea',
    method: 'put',
    data: data
  })
}

// 删除游戏大区信息
export function delGamearea(id) {
  return request({
    url: '/system/gamearea/' + id,
    method: 'delete'
  })
}


// 查询游戏列表
export function warehouseIds(query) {
  return request({
    url: '/system/gamearea/listFind',
    method: 'get',
    params: query
  })
}
